/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.StringTokenizer;
/**
 *
 * @author Marinela.QuinteroT1
 */

public class validaNivelSisben extends AbstractRule {

    public validaNivelSisben() {}

    public boolean performValidation(String field, String[] registro, String nombreArchivo) {
        String campo = (String) (getParams()[0]);
        int campogrupo = Integer.parseInt(campo);
        
        // Verificar si el índice campogrupo está dentro del rango del arreglo registro
        if (campogrupo >= 0 && campogrupo < registro.length) {
            String grupo = registro[campogrupo];
            
            // Verificar si el campo 33 está vacío
            if (grupo.isEmpty()&& !field.isEmpty()) {
                return true; // Validar solo si el campo 33 está vacío
            }
        }
        
        return false; 
    }
}

